org.cpsolver.studentsct.report

## Class SolutionStatsReport

- java.lang.Object
- - org.cpsolver.studentsct.report.AbstractStudentSectioningReport
  - - org.cpsolver.studentsct.report.SolutionStatsReport

- All Implemented Interfaces:
    StudentSectioningReport, StudentSectioningReport.Filter

      public class SolutionStatsReport
      extends AbstractStudentSectioningReport

  This class computes solution statistics report.
  Usage: new SolutionStatsReport(model).create(assignment, config).save(aFile);
  Version:
    StudentSct 1.3 (Student Sectioning)
    Copyright (C) 2013 - 2025 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SolutionStatsReport.AndFilter`
    `static class` | `SolutionStatsReport.AthletesFilter`
    `static class` | `SolutionStatsReport.DummyFilter`
    `static class` | `SolutionStatsReport.DummyOrNoRequestsFilter`
    `static class` | `SolutionStatsReport.GroupFilter`
    `static class` | `SolutionStatsReport.NotFilter`
    `static class` | `SolutionStatsReport.OnlineFilter`
    `static class` | `SolutionStatsReport.OnlineLateFilter`
    `static class` | `SolutionStatsReport.OrFilter`
    `static class` | `SolutionStatsReport.PriorityFilter`
    `static class` | `SolutionStatsReport.StarFilter`
    `static interface` | `SolutionStatsReport.Statistic`
    `static class` | `SolutionStatsReport.Statistics`
    `static interface` | `SolutionStatsReport.StudentFilter`
    `static class` | `SolutionStatsReport.StudentGroup`

    - ### Nested classes/interfaces inherited from class org.cpsolver.studentsct.report.AbstractStudentSectioningReport

      `AbstractStudentSectioningReport.CourseMatcher, AbstractStudentSectioningReport.RequestMatcher`

    - ### Nested classes/interfaces inherited from interface org.cpsolver.studentsct.report.StudentSectioningReport

      `StudentSectioningReport.Filter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static DecimalFormat` | `sDoubleFormat`
    `protected static DecimalFormat` | `sIntFormat`
    `protected static DecimalFormat` | `sPercentFormat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolutionStatsReport(StudentSectioningModel model)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CSVFile` | `createTable(Assignment<Request,Enrollment> assignment, DataProperties properties)`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class org.cpsolver.studentsct.report.AbstractStudentSectioningReport

      `create, getModel, isUseAmPm, matches, matches, matches, matches`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sIntFormat

          protected static DecimalFormat sIntFormat

    - #### sPercentFormat

          protected static DecimalFormat sPercentFormat

    - #### sDoubleFormat

          protected static DecimalFormat sDoubleFormat

  - ### Constructor Detail

    - #### SolutionStatsReport

          public SolutionStatsReport(StudentSectioningModel model)

  - ### Method Detail

    - #### createTable

          public CSVFile createTable(Assignment<Request,Enrollment> assignment,
                                     DataProperties properties)

      Specified by:
        `createTable` in class `AbstractStudentSectioningReport`

    - #### main

          public static void main(String[] args)